package io.hmit.modules.user.dto;

import io.hmit.common.utils.TreeNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 委员会用户列表
 *
 * @author syf syf0412@qq.com
 * @since 1.0.0 2020-12-25
 */
@Data
@ApiModel(value = "委员会用户列表")
public class CommitteeUserDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "区市ID")
	private Long id;

	@ApiModelProperty(value = "区市名")
	private String name;

	@ApiModelProperty(value = "用户信息")
	private List<UserDTO> userInfoList;

	public CommitteeUserDTO assembleCommitteeUser(Long committeeId,String committeeName,List<UserDTO> userDTO){
		CommitteeUserDTO committeeUserDTO = new CommitteeUserDTO();
		committeeUserDTO.setId(committeeId);
		committeeUserDTO.setName(committeeName);
		committeeUserDTO.setUserInfoList(userDTO);
		return committeeUserDTO;
	}
}
